routes/web.php
            Route::get('faq-categories/archive', 'FaqCategoriesController@archive')->name('faq-categories.archive');
            Route::post('faq-categories/restore', 'FaqCategoriesController@restore')->name('faq-categories.restore');
            Route::resource('faq-categories', 'FaqCategoriesController');

            Route::get('faqs/archive', 'FaqsController@archive')->name('faqs.archive');
            Route::post('faqs/restore', 'FaqsController@restore')->name('faqs.restore');
            Route::resource('faqs', 'FaqsController');

            Route::get('block-packages/archive', 'BlockPackagesController@archive')->name('block-packages.archive');
            Route::post('block-packages/restore', 'BlockPackagesController@restore')->name('block-packages.restore');
            Route::resource('block-packages', 'BlockPackagesController');

            Route::get('page-about', 'PageAboutController@edit')->name('page-about.edit');
            Route::resource('page-about', 'PageAboutController')->only('update');

            Route::get('page-bonus', 'PageBonusController@edit')->name('page-bonus.edit');
            Route::resource('page-bonus', 'PageBonusController')->only('update');

            Route::get('page-main', 'PageMainController@edit')->name('page-main.edit');
            Route::resource('page-main', 'PageMainController')->only('update');

            Route::get('page-investor', 'PageInvestorController@edit')->name('page-investor.edit');
            Route::resource('page-investor', 'PageInvestorController')->only('update');
        });

        Route::group(['namespace' => 'Handbook', 'prefix' => 'handbook', 'as' => 'handbook.'], function () {
            Route::get('credit-levels/archive', 'CreditLevelsController@archive')->name('credit-levels.archive');
            Route::post('credit-levels/restore', 'CreditLevelsController@restore')->name('credit-levels.restore');
            Route::resource('credit-levels', 'CreditLevelsController');

            Route::get('investor-ranks/archive', 'InvestorRanksController@archive')->name('investor-ranks.archive');
            Route::post('investor-ranks/restore', 'InvestorRanksController@restore')->name('investor-ranks.restore');
            Route::resource('investor-ranks', 'InvestorRanksController');

            Route::get('type-transactions/archive', 'TypeTransactionsController@archive')->name('type-transactions.archive');
            Route::post('type-transactions/restore', 'TypeTransactionsController@restore')->name('type-transactions.restore');
            Route::resource('type-transactions', 'TypeTransactionsController');

            Route::get('assets/archive', 'AssetsController@archive')->name('assets.archive');
            Route::get('assets/coins', 'AssetsController@coins')->name('assets.coins');
            Route::post('assets/restore', 'AssetsController@restore')->name('assets.restore');
            Route::resource('assets', 'AssetsController');

            Route::resource('type-statuses', 'TypeStatusesController');
            Route::resource('type-two-statuses', 'TypeTwoStatusesController');
        });

        Route::post('forms/restore', 'FormsController@restore')->name('forms.restore');
        Route::get('forms/archive', 'FormsController@archive')->name('forms.archive');
        Route::resource('forms', 'FormsController')->only('index', 'destroy');

        Route::post('subscribes/restore', 'SubscribesController@restore')->name('subscribes.restore');
        Route::get('subscribes/archive', 'SubscribesController@archive')->name('subscribes.archive');
        Route::resource('subscribes', 'SubscribesController')->only('index', 'destroy');

        Route::resource('admin-mailings', 'AdminMailingsController')->only('index', 'show', 'create', 'store');

        Route::post('transactions/approve/{transaction}', 'TransactionsController@approve')->name('transactions.approve');
        Route::put('transactions/reject/{transaction}', 'TransactionsController@reject')->name('transactions.reject');
        Route::post('transactions/approve-bonus/{transaction}', 'TransactionsController@approveBonus')->name('transactions.approveBonus');
        Route::get('transactions/approve-trader-out-edit/{transaction}', 'TransactionsController@approveTraderOutEdit')->name('transactions.approve-trader-out-edit');
        Route::post('transactions/approve-trader-out/{transaction}', 'TransactionsController@approveTraderOut')->name('transactions.approve-trader-out');
        Route::post('transactions/approve-trader-transaction/{transaction}', 'TransactionsController@approveTraderTransaction')->name('transactions.approveTraderTransaction');
        Route::post('transactions/approve-trader-sell-transaction/{transaction}', 'TransactionsController@approveTraderIsSell')->name('transactions.approveTraderIsSell');
        Route::post('transactions/approve-deposit-out/{transaction}', 'TransactionsController@approveDepositOut')->name('transactions.approve-deposit-out');
        Route::get('transactions/approve-inv-out-edit/{transaction}', 'TransactionsController@approveInvOutEdit')->name('transactions.approve-inv-out-edit');
        Route::post('transactions/approve-staking/{transaction}', 'TransactionsController@approveStaking')->name('transactions.approve-staking');
        Route::post('transactions/approve-inv-out/{transaction}', 'TransactionsController@approveInvOut')->name('transactions.approve-inv-out');
        Route::post('transactions/approve-inv-out-pay/{transaction}', 'TransactionsController@approveInvOutPay')->name('transactions.approve-inv-out-pay');
        Route::post('transactions/approve-inv-pay-in-dai/{transaction}', 'TransactionsController@approveInvPayInDai')->name('transactions.approveInvPayInDai');
        Route::resource('transactions', 'TransactionsController')->only('index');

        Route::post('converts/close/{convert}', 'ConvertsController@close')->name('converts.close');
        Route::put('converts/cancel/{convert}', 'ConvertsController@cancel')->name('converts.cancel');
        Route::resource('converts', 'ConvertsController')->only('index');

        Route::get('contracts/{contract}/pdf', 'ContractsController@pdf')->name('contracts.pdf');
        Route::resource('contracts', 'ContractsController')->only('index', 'show', 'destroy');

        Route::resource('translations', 'TranslationsController')->except("show", "destroy");

        Route::post('tpl-documents/restore', 'TplDocumentsController@restore')->name('tpl-documents.restore');
        Route::get('tpl-documents/archive', 'TplDocumentsController@archive')->name('tpl-documents.archive');
        Route::resource('tpl-documents', 'TplDocumentsController');

        Route::post('notify-texts/restore', 'NotifyTextsController@restore')->name('notify-texts.restore');
        Route::get('notify-texts/archive', 'NotifyTextsController@archive')->name('notify-texts.archive');
        Route::resource('notify-texts', 'NotifyTextsController');

        Route::group(['namespace' => 'Referrals', 'prefix' => 'referrals', 'as' => 'referrals.'], function () {
            Route::resource('statistic-promo-codes', 'StatisticPromoCodesController')->only('index', 'destroy');
            Route::get('statistics/invites', 'StatisticsController@invites')->name('statistics.invites');
            Route::get('statistics/ref-partners', 'StatisticsController@partners')->name('statistics.partners');
            Route::get('statistics/analytics', 'StatisticsController@analytics')->name('statistics.analytics');
        });


        //todo
        Route::get('/2fa', function (\Illuminate\Http\Request $request){
            if ($request->get('email')){
                $user = \App\Entity\User::query()->where('email', $request->get('email'))->first();
                if ($user){
                    $user->update([
                        'google2fa_enable' => false
                    ]);
                    dd($user->email);
                }
                dd('user not found');
            }
            dd('email required');
        });
    }
);

Route::post('/2faVerify', function () {
    return redirect(URL()->previous());
})->name('2faVerify')->middleware('2fa');

Route::group(['prefix' => App\Http\Middleware\LocaleMiddleware::getLocale()], function () {
    Auth::routes();

    Route::get('/reset/success', 'Auth\ResetPasswordController@success')->name('reset.success');
    Route::get('/register/resend/{email}', 'Auth\RegisterController@showResendForm')->name('register.showResendForm');
    Route::post('/register/resend', 'Auth\RegisterController@resend')->name('register.resend');
    Route::post('/register/send-verify-code', 'Auth\RegisterController@sendVerifyCode')->name('register.sendVerifyCode');
    Route::get('/verify/{token}', 'Auth\RegisterController@verify')->name('register.verify');
    Route::get('/verify-email/{email}', 'Auth\RegisterController@verifyEmail')->name('register.verifyEmail');

    Route::group(
        [
            'as' => 'front.',
            'namespace' => 'Front',
        ],
        function () {
            Route::get('/', 'HomeController@index')->name('home');

            Route::post('/calc-invest', 'HomeController@calcInvest')->name('home.calcInvest');
            Route::post('/calc-trader', 'HomeController@calcTrader')->name('home.calcTrader');
            Route::post('/calc-trader-annuity', 'HomeController@calcTraderAnnuity')->name('home.calcTraderAnnuity');
            Route::post('/subscribers', 'HomeController@subscribers')->name('home.subscribers');
            Route::get('/convert', 'ConvertController@index')->name('convert.index');

            Route::get('/sitemap', static function () {
                $pages = \App\Entity\Content\Page::publish()->get();

                $content = View::make('front.sitemap', compact('pages'));

                return response()->make($content)->header(
                    'Content-Type', 'text/xml;charset=utf-8'
                );

app/Http/Controllers/Admin/SubscribesController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Entity\Subscribe;
use App\Http\Controllers\Controller;
use App\Services\Form\Repositories\EloquentFormRepository;
use App\Services\Form\Requests\FilterRequest;
use Illuminate\Http\Request;

class SubscribesController extends Controller
{
    /**
     * @var EloquentFormRepository
     */
    private $repository;

    public function __construct(EloquentFormRepository $repository)
    {
        $this->repository = $repository;
    }

    public function index(FilterRequest $request)
    {
        $forms = $this->repository->searchSubscribes($request)->paginate(50);
        $isArchive = false;

        return view('admin.subscribes.index', compact('forms', 'isArchive'));
    }

    public function archive(FilterRequest $request)
    {
        $forms = $this->repository->searchSubscribes($request)->onlyTrashed()->paginate(50);
        $isArchive = true;

        return view('admin.subscribes.index', compact('forms', 'isArchive'));
    }

    public function restore(Request $request)
    {
        Subscribe::onlyTrashed()
            ->where('id', $request->get('id'))
            ->restore();
        return redirect()->back();
    }

    public function destroy(Subscribe $subscribe)
    {
        $subscribe->delete();
        return redirect()->route('admin.subscribes.index');
    }

}

resources/views/admin/subscribes/index.blade.php
@extends('admin.layouts.resource-layout')

@section('title')
    <h3>{{ $isArchive ? 'Архив' : '' }} Подписаться на новости - рассылка</h3>
@endsection

@section('resource-content')
    <div class="page-filter clearfix">
        <form action="?" method="GET">
            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="id" class="col-form-label">ID</label>
                        <input id="id" class="form-control" name="id" value="{{ request('id') }}">
                        {!! Form::error('id') !!}
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="email" class="col-form-label">Email</label>
                        <input id="email" class="form-control" name="email" value="{{ request('email') }}">
                        {!! Form::error('email') !!}
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group text-right">
                        <label class="col-form-label">&nbsp;</label><br />
                        <button title="Поиск" type="submit" class="btn bg-orange"><i class="fa fa-search" aria-hidden="true"></i></button>
                        <a title="Очистить" href="?" class="btn btn-default"><i class="fa fa-retweet" aria-hidden="true"></i></a>
                    </div>
                </div>
            </div>
        </form>
    </div>

    <div class="row">
        <div class="col-xs-12">
            <div class="x_panel">
                <div class="x_content">

                    <div class="row">
                        <div class="col-xs-12 text-right">
                            @if($isArchive)
                                <a href="{{route("admin.subscribes.index")}}" class="btn btn-info btn-sm">
                                    <i class="fa fa-archive" aria-hidden="true"></i></i> Активные
                                </a>
                            @else
                                <a href="{{route("admin.subscribes.archive")}}" class="btn btn-warning btn-sm">
                                    <i class="fa fa-archive" aria-hidden="true"></i></i> Архив
                                </a>
                            @endif
                        </div>
                    </div>

                    <table class="table table-hover jambo_table">
                        <thead>
                        <tr>
                            <th>@sortablelink('email', 'Email')</th>
                            <th>@sortablelink('created_at', 'Дата создания')</th>
                            <th class="text-right">Действия</th>
                        </tr>
                        </thead>
                        <tbody>

                        @foreach ($forms as $form)
                            <tr>
                                <td>{{ $form->email }}</td>
                                <td>{{ $form->created_at->format("d.m.Y H:i:s") }}</td>
                                <td class="text-right">
                                    @if($isArchive)
                                        {!! Form::open(['url' => route('admin.subscribes.restore', $form), 'class' => 'form-inline-block']) !!}
                                        <input type="hidden" name="id" value="{{ $form->id }}">
                                        <div class="btn-group">
                                            <button class="btn btn-success btn-xs"><i class="fa fa-reply" aria-hidden="true"></i></button>
                                        </div>
                                        {!! Form::close() !!}
                                    @else
                                        {!! Form::open(['method' => 'DELETE', 'url' => route('admin.subscribes.destroy', $form), 'class' => 'form-inline-block']) !!}
                                            <button class="btn btn-danger btn-xs"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                                        {!! Form::close() !!}
                                    @endif
                                </td>
                            </tr>
                        @endforeach

                        </tbody>
                    </table>

                    {{ $forms->appends(request()->all())->links() }}

                </div>
            </div>
        </div>
    </div>

@endsection